# Add-on Development Made Easy #

The Add-on SDK is designed to make it easy to develop Firefox add-ons. It
includes:

* A set of modules providing JavaScript APIs which you can
use to create add-ons. These modules simplify tasks such as building a user
interface and interacting with the Web, and will help ensure your add-on
continues to work as new versions of Firefox are released.

* A set of tools for creating, running, testing, and packaging add-ons.

We've divided the SDK documentation into two parts:

The [Developer Guide](dev-guide/addon-development/about.html) explains how to use the
SDK to build add-ons. If you're new to the SDK start with the [Getting
 Started](dev-guide/addon-development/getting-started.html) tutorial.

The [Internals Guide](dev-guide/module-development/about.html) explains how you can
use the low-level modules in the SDK to extend the APIs. It's intended for
advanced developers and people working on the SDK itself.
